Fetch an Order by id
Retrieve order details by Id.
- Production
- Sandbox
GET/v1/orders/{id}
curl -X GET 'https://api.minteo.finance/v1/orders/{id}' \-H 'Authorization: Bearer <your-api-key>'GET/v1/orders/{id}
curl -X GET 'https://api.sandbox.minteo.finance/v1/orders/{id}' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": { "id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "status": "PENDING", "amount": "50000", "type": "TOKENIZE", "created_at": "2023-11-04T01:35:34.165Z", "updated_at": "2023-11-04T01:35:34.165Z", "origin_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "destination_source_id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "activities": [ { "type": "SETTLE_ORDER", "status": "PENDING", "last_update_at": "2023-11-04T01:35:34.162Z" } ], "status_code": null, "chain": "POLYGON", "public_data": { "financial_items": { "transfer_amount": "50000.00" }, "deposit_originated_at": "2023-11-13T00:00:00.000Z" }, "external_identifier": null, "effective_amount": "50000" }, "code": "OK"}Endpoint
GET
/v1/orders/{id}Scope
orders:details
Request
Path Parameters
idstringId of the order to retrieve
Response
outputOrderThe order details.
codestringThe response status code text.